package com.zcloud.service.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业类型主管部门
 * 作者：shaojie
 * 时间：2021-03-18
 * 官网：www.qdkjchina.com
 */
public interface CorpPlsInfoService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void saveOrUpdate(PageData pd)throws Exception;


	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	PageData getDeptIdandempId(PageData user);

    void asyncPLSInfo(PageData pd)throws Exception;

	void editToken(PageData pd);
}

